Name:			FlightGear
Version:		0.9.8
Release:		alt2
Summary:		FlightGear - best opensource fly simulation engine
Group:			Games/Arcade
License:		GPL
URL:			http://www.flightgear.org/

Requires:		fgfs-data

Source0:		%name-%version.tar.bz2
Source1:		fgrun-0.4.5.tar.bz2
Source2:		%name.menu
Source3:		FlightGear-22x22.xpm
Source4:		FlightGear-32x32.xpm
Source5:		FlightGear-48x48.xpm
Source6:		alt-fgrun-fgfs-location-fix.patch
Source7:		fgrun-cvs-20050120-runway-fix.patch

# Automatically added by buildreq on Fri Jan 21 2005
BuildRequires: SimGear-devel esound fontconfig freetype2 gcc-c++ 
BuildRequires: libSDL-devel libfltk-devel libglut-devel libopenal-devel 
BuildRequires: libstdc++-devel plib-devel >= 1.8.4 xorg-x11-devel xorg-x11-libs 
BuildRequires: xorg-x11-mesaGL zlib-devel

%description
FlightGear is a free, open-source, multi-platform, and sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas.
This package contains main engine

%prep

%setup -q -n %name-%version

%build

%configure --enable-sdl --with-x

#non-parallel build (cause it fails with parallel build)
%make

%__tar xfj %SOURCE1

pushd fgrun-0.4.5
patch -p1 < %SOURCE6
patch -p1 < %SOURCE7
./autogen.sh
%configure
%make_build
popd

%install

%make DESTDIR=%buildroot install 

pushd fgrun-0.4.5
%make DESTDIR=%buildroot install 
popd

%__mkdir_p %buildroot%_menudir
%__mkdir_p %buildroot%_iconsdir/large
%__mkdir_p %buildroot%_iconsdir/mini
%__mkdir_p %buildroot%_datadir/%name

%__install %SOURCE2 %buildroot%_menudir/%name
%__install %SOURCE3 %buildroot%_iconsdir/mini/%name.xpm
%__install %SOURCE4 %buildroot%_iconsdir/%name.xpm
%__install %SOURCE5 %buildroot%_iconsdir/large/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_sbindir/*
%_man1dir/*

%attr(644,root,root) %_iconsdir/%name.xpm
%attr(644,root,root) %_iconsdir/large/%name.xpm
%attr(644,root,root) %_iconsdir/mini/%name.xpm
%attr(644,root,root) %_menudir/%name

%changelog
* Tue Mar 01 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt2
- Parallel build turned of (cause it fails to build with it...)

* Fri Jan 21 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.9.8-alt1
- Update to 0.9.8 version
- Changed FlightGear Launcher from fgkicker to fgrun. 
- Rebuild with g++3.4 compiler

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt2.pre1
- Fixed airports.dat file installation
- Moved airports.dat from FlightGear-data package into main package

* Tue Sep 14 2004 Albert R. Valiev <darkstar@altlinux.ru> 0.9.6-alt1.pre1
- New version build
- Added FlightGear launcher
- Removed old menu entries

* Sat Jun 14 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.9.2-alt1
- Initial build to sisyphus
- Created menu entries for majority of flyable aircrafts
